<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="apple-touch-icon" sizes="57x57" href="/static/assets/icons/fav/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/static/assets/icons/fav/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/static/assets/icons/fav/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/static/assets/icons/fav/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/static/assets/icons/fav/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/static/assets/icons/fav/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/static/assets/icons/fav/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/static/assets/icons/fav/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/static/assets/icons/fav/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="/static/assets/icons/fav/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/static/assets/icons/fav/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/static/assets/icons/fav/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/static/assets/icons/fav/favicon-16x16.png">
    <link rel="manifest" href="/static/assets/icons/fav/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/static/assets/icons/fav/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <title>WebTree | Install</title>
    <link href="/static/install/wizard/steps.css" rel="stylesheet">
    <!--alerts CSS -->
{#    <link href="/static/lib/sweetalert/sweetalert.css" rel="stylesheet" type="text/css">#}
    <!-- Custom CSS -->
    <link href="/static/install/css/style.min.css" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

    {% block stylesheet %}
    {% endblock %}


    <script type="text/javascript">
        var start_time=+new Date();
        window.onload=function(){
            console.log(`%c
                        ,@@@@@@
                 .((((. @@    @# @@@@@@@@@@@@@@
                 @(  .@ @@%%%%@# @@@        @@@
                                 @@@        @@@
                 @@@@@@@@@@@@@@  @@(        @@@
                 @@@        ,@@  @@@@@@@@@@@@@@ @   @
         @    (@ @@@        ,@@                 @@@@@
        *@    (@ @@@        ,@@ @@    @@ @@@@@@@@@@@@@@
                 @@@@@@@@@@@@@@ @@,,,,@@ @@@        @@@
      @@@@@@@@@@@@@@                     @@@        @@@
      @@@        &@@ /@@@@@@@@@@@@@.     @@#        @@@
      @@@        &@@ %@@         @@.     @@@@@@@@@@@@@@
      @@@        &@@ @@@         @@. @@@@@@@    @@@
      @@@@@@@@@@@@@@ @@@*********@@. @     @    @@@
             ,,,,,,  (@@@@@@@@@@@@@  @@@@@@@    @@@
            @@    @@   @@*  @@@      @@@    @@@@@@@
            @@***#@@   @@*  @@@      @@@@@@@@
                @@#    @@@@@@@@@@@@@@@@@
                @@#         @@@
                 &@@@@@@  @@@@/
                       @@@@
                        @@@
                        @@@
                        @@@
`, "font-family:monospace");

            console.error("Page render time: " + ((+new Date()-start_time)/1000) + ' seconds');
        };
    </script>

</head>

<body class="skin-blue fixed-layout lock-nav">
<!-- ============================================================== -->
<!-- Preloader - style you can find in spinners.css -->
<!-- ============================================================== -->
<div class="preloader">
    <div class="loader">
        <div class="loader__figure"></div>
        <p class="loader__label">Web<b>Tree</b></p>
    </div>
</div>



<!-- ============================================================== -->
<!-- Main wrapper - style you can find in pages.scss -->
<!-- ============================================================== -->
<div id="main-wrapper">

    <div class="page-wrapper" style="margin-left: auto!important;">
        <!-- ============================================================== -->
        <!-- Container fluid  -->
        <!-- ============================================================== -->
        <div class="container-fluid">

            <!-- ============================================================== -->
            <!-- Start Page Content -->
            <!-- ============================================================== -->
            <!-- Validation wizard -->
            <div class="row" id="validation">
                <div class="col-12">
                    <div class="card wizard-content">
                        <div class="card-body">
                            <h2 class="card-title"><img src="/static/assets/icons/fav/favicon-32x32.png" alt=""> Welcome to WebTree</h2>
                            <h4 class="card-subtitle">Lets go over quick setup</h4>
                            {% if rsp %}<code><b>Status:</b> {{ rsp }}</code>{% endif %}
                            <form action=" " method="post" class="validation-wizard wizard-circle" autocomplete="off">
                                <!-- Step 1 -->
                                <h6>Step 1</h6>
                                <section>
                                    <div class="card">
                                        <div class="card-header">

                                            <h4 class="card-title">Before getting started</h4>
                                        </div>
                                        <div class="card-body">

                                            <p>Before getting started, we need some information on the database. You will need to know the following items before proceeding.</p>
                                            <ol>
                                                <li>Database name</li>
                                                <li>Database username</li>
                                                <li>Database password</li>
                                                <li>Database host</li>
                                            </ol>
                                            <p>We&#8217;re going to use this information to create a <code>.webtree.ini.php</code> file.	<strong>If for any reason this automatic file creation doesn&#8217;t work, don&#8217;t worry. All this does is fill in the database information to a configuration file. You may also simply open <code>.ini.php</code> in a text editor, fill in your information, and save it as <code>.webtree.ini.php</code>.</strong>
                                                Need more help? <a href="https://webtree.iridiumintel.com">We got it</a>.</p>
                                            <p>In all likelihood, these items were supplied to you by your Web Host. If you don&#8217;t have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;</p>


                                            {#<p class="card-text">With supporting text below as a natural lead-in to additional content.</p>#}
                                            {#<a href="javascript:void(0)" class="btn btn-info">Go somewhere</a>#}
                                        </div>
                                        <div class="card-footer text-muted">

                                        </div>
                                    </div>
                                </section>
                                <!-- Step 2 -->
                                <h6>Step 2</h6>
                                <section>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="db_type2">Database Type</label>
                                                <select class="custom-select form-control required" id="db_type2" name="db_type">
                                                    <option value="MySQL">MySQL</option>
                                                    <option value="MariaDB">MariaDB</option>
                                                    <option value="SQLite">SQLite</option>
                                                    <option value="PostgreSQL">PostgreSQL</option>
                                                    <option value="CUBRID">CUBRID</option>
                                                    <option value="Interbase">Firebird/Interbase</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="dbuname2"> Database Username : <span class="danger"> </span> </label>
                                                <input type="text" class="form-control required" id="dbuname2" name="dbuname"> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="dbname2"> Database Name : <span class="danger"></span> </label>
                                                <input type="text" class="form-control required" id="dbname2" name="dbname"> </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="dbpwd2"> Database Password :</label>
                                                <input type="text" class="form-control required" id="dbpwd2" name="dbpwd"> </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="dbhost2"> Database Host : <span class="danger"></span> </label>
                                                <input type="text" class="form-control required" id="dbhost2" name="dbhost"> </div>
                                        </div>
                                        {#<div class="col-md-6">#}
                                            {#<div class="form-group">#}
                                                {#<label for="email2">Email :</label>#}
                                                {#<input type="email" class="form-control required" id="email2" name="email"> </div>#}
                                        {#</div>#}
                                    </div>
                                </section>
                                <!-- Step 3 -->
                                <h6>Step 3</h6>
                                <section>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="site_title"> Site Title : <span class="danger"> </span> </label>
                                                <input type="text" class="form-control required" id="site_title2" name="site_title"> </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="adminuname2"> Admin Username : <span class="danger"></span> </label>
                                                <input type="text" class="form-control required" id="adminuname2" name="adminuname"> </div>
                                        </div>

                                    </div>
                                    <div class="row">

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="adminemail2">Admin Email :</label>
                                                <input type="email" class="form-control required" id="adminemail2" name="adminemail"> </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="adminpwd2"> Admin Password : <span class="danger"></span> </label>
                                                <input type="text" class="form-control required" id="adminpwd2" name="adminpwd" value="{{ fn('pwdGen', []) }}"> </div>

                                        </div>
                                    </div>
                                    <button type="submit" id="btninstall" class="btn waves-effect waves-light btn-lg btn-primary" style="display: none">Install </button>
                                </section>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End PAge Content -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->


        </div>
        <!-- ============================================================== -->
        <!-- End Container fluid  -->
        <!-- ============================================================== -->
    </div>
    {% block body %}
    {% endblock %}
    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- footer -->
    <!-- ============================================================== -->
    <footer class="footer" style="margin-left: auto!important;">
        © {{ 'now' | date('Y') }} Web<b>Tree</b>
    </footer>
    <!-- ============================================================== -->
    <!-- End footer -->
    <!-- ============================================================== -->
</div>
<!-- ============================================================== -->
<!-- End Wrapper -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- All Jquery -->
<!-- ============================================================== -->
<script src="/static/lib/jquery/jquery-3.2.1.min.js"></script>
<!-- Bootstrap tether Core JavaScript -->
{#<script src="/static/lib/popper/popper.min.js"></script>#}
<script src="/static/lib/bootstrap/js/bootstrap.min.js"></script>
<!-- slimscrollbar scrollbar JavaScript -->
<script src="/static/install/js/perfect-scrollbar.jquery.min.js"></script>
<!--Wave Effects -->
<script src="/static/install/js/waves.js"></script>

<!--stickey kit -->
{#<script src="/static/lib/sticky-kit-master/dist/sticky-kit.min.js"></script>#}
{#<script src="/static/lib/sparkline/jquery.sparkline.min.js"></script>#}
<!--Custom JavaScript -->
<script src="/static/install/js/custom.min.js"></script>
{#<script src="/static/lib/moment/moment.js"></script>#}
<script src="/static/install/wizard/jquery.steps.min.js"></script>
<script src="/static/install/wizard/jquery.validate.min.js"></script>
<!-- Sweet-Alert  -->
{#<script src="/static/lib/sweetalert/sweetalert.min.js"></script>#}
<script src="/static/install/wizard/steps.js"></script>

{% block javascript %}
{% endblock %}

</body>

</html>

